aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flake8-debugger/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2015-01-23 20:05:52 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2015-03-11 14:33:16 +0000
commitdae7b2dc406af85f3590b97fd7eff15174aea393 (patch)
tree29c341d140e7f23309b3b73b84a3a135079bd35a /testing/py-flake8-debugger/APKBUILD
parent7eeb9944b96b2ed453a8ccae0ccc5b66a14839e2 (diff)
downloadaports-dae7b2dc406af85f3590b97fd7eff15174aea393.tar.gz
aports-dae7b2dc406af85f3590b97fd7eff15174aea393.tar.bz2
aports-dae7b2dc406af85f3590b97fd7eff15174aea393.tar.xz
testing/py-flake8-debugger: new aport
ipdb/pdb statement checker plugin for flake8 https://github.com/jbkahn/flake8-debugger
Diffstat (limited to 'testing/py-flake8-debugger/APKBUILD')
-rw-r--r--testing/py-flake8-debugger/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flake8-debugger/APKBUILD b/testing/py-flake8-debugger/APKBUILD
new file mode 100644
index 0000000000..d5fd1d8fc8
--- /dev/null
+++ b/testing/py-flake8-debugger/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flake8-debugger
+_pkgname=flake8-debugger
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="Extension for flake8 which lint for ipdb/pdb statements"
+url="https://github.com/jbkahn/flake8-debugger"
+arch="noarch"
+license="MIT"
+depends="python py-flake8"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9afbb76cb781d6fc125d98efed4c8f10 flake8-debugger-1.3.2.tar.gz"
+sha256sums="4760fa3a5bad208c12ae91d44f66a2ff7d859c68c411493070da261c57610f1f flake8-debugger-1.3.2.tar.gz"
+sha512sums="8570896797d8a3a40ca30da3f214c7676e7c1870e5b2af388711883e81d790883e9797dc4479549a2ac2aca1d4fc659a78bb836f5df11ab1002d23035469ae6f flake8-debugger-1.3.2.tar.gz"